EDIT - bug #8702

Remove Not null constraint for uuid in AUD tables
11/19/2019 01:47 PM - Andreas Mdller

Status: Closed Start date:

Priority: Priority14 Due date:

Assignee: Andreas Muller % Done: 80%
Category: cdm Estimated time: 0:00 hour
Target version: Release 5.12

Severity: normal Found in Version:

Description

Some databases do have uuid NOT NULL contraints in some _AUD tables. In caryo_spp | found the following tables with this
problem, which is probably created by the model update script for these tables:

AmplificationResult_ AUD
CdmLink_AUD
DnaQuality_AUD
Identifier AUD
Registration_AUD

In other DBs also:

SingleReadAlignment_AUD
TaxonNodeAgentRelation_ AUD

before.

The exception that is thrwon otherwise is:

com.mysgl.jdbc.exceptions.jdbc4.MySQLIntegrityConstraintViolationException: Column 'uuid' cannot be null is thrown.

Related issues:
Related to EDIT - bug #7683: external links Audit table should allow uuid to ... Closed

Associated revisions

Revision dc5a41f6 - 12/02/2019 12:11 PM - Andreas Miiller
ref #8738 , ref #8702 add update script to remove null constraints from AUD.uuid and CdmLing.endPos

Revision cdaeac9a - 12/02/2019 12:23 PM - Andreas Miiller
ref #8738 , ref #8702 add update script to remove null constraints from AUD.uuid and CdmLing.endPos (Il)

Revision b9b25534 - 12/03/2019 01:06 PM - Andreas Miiller
ref #8738 , ref #8702 , ref #8468 last changes for 5.12 update script

Revision 86493549 - 12/03/2019 01:07 PM - Andreas Miiller
ref #8738 , ref #8702 , ref #8468 update vaadin test DB

Revision 03d98738 - 12/03/2019 01:09 PM - Andreas Miiller
ref #8738 , ref #8702 , ref #8468 update TaxEditor test DB

History

#1 - 11/19/2019 01:49 PM - Andreas Miiller
- Description updated
#2 - 11/19/2019 01:53 PM - Andreas Miiller
- Related to bug #7683: external links Audit table should allow uuid to be null added

#3 - 11/19/2019 03:20 PM - Andreas Miiller
- Target version changed from Release 5.12 to CDM UML 5.15

#4 - 11/19/2019 03:21 PM - Andreas Miiller

| updated most production DBs manually already.

#5 - 11/19/2019 03:59 PM - Andreas Miiller
- Description updated

query in information_schema to find such columns

SELECT *

FROM COLUMNS c

WHERE c.COLUMN_NAME = 'uvuid' AND c.TABLE_NAME LIKE '$%_AUD' AND c.IS_NULLABLE = 'No'
ORDER BY c.COLUMN_NAME

#6 - 11/20/2019 11:51 PM - Andreas Miiller

- Description updated

#7 - 12/02/2019 12:12 PM - Andreas Miiller
- Status changed from New to Resolved

- % Done changed from 0 to 80

#8 - 12/02/2019 12:27 PM - Andreas Miiller
- Target version changed from CDM UML 5.15 to Release 5.12

#9 - 12/03/2019 01:05 PM - Andreas Miuller

- Subject changed from Not null constraint for uuid in AUD tables to Remove Not null constraint for uuid in AUD tables

#10 - 12/03/2019 01:40 PM - Andreas Miiller
- Status changed from Resolved to Closed

- Priority changed from New to Priority14
